tigase.jaxmpp.core.client

## Interface Connector.ConnectedHandler

- All Superinterfaces:
    EventHandler
  Enclosing interface:
    Connector

      public static interface Connector.ConnectedHandler
      extends EventHandler

  Implemented by handlers of LoggedInEvent.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `Connector.ConnectedHandler.ConnectedEvent` Fired after creates XMPP Stream

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `onConnected(SessionObject sessionObject)` Called when LoggedInEvent is fired.

- - ### Method Detail

    - #### onConnected

          void onConnected(SessionObject sessionObject)

      Called when LoggedInEvent is fired.
      Parameters:
        `sessionObject` - session object related to connection.

Copyright © 2006–2020 Tigase. All rights reserved.